STORE INT(X/365.26)+1 TO Y
STORE X+INT(395.25-365.25*Y) TO D
IF INT(Y/4)*4=Y
  STORE 1 TO D1
ELSE
  STORE 2 TO D1
ENDIF
IF D>(91-D1)
  STORE D+D1 TO D
ENDIF
STORE INT(D/30.57) TO M
STORE D-INT(30.57*M) TO D
IF M>12
 STORE 1 TO M
 STORE Y+1 TO Y
ENDIF
STORE Y-1900 TO Y
STORE STR(M,2)+'/'+STR(D,2)+'/'+STR(Y,2) TO DATE
IF ANSWER
   SET PRINT ON
ENDIF
? 'CALENDAR DATE ='
?? DATE
IF ANSWER
   SET PRINT OFF
ENDIF
RETURN
